org.modeshape.jcr.cache.document

## Class LocalDocumentStore.DistributedOperation

- java.lang.Object
- - org.modeshape.jcr.cache.document.LocalDocumentStore.DistributedOperation

- All Implemented Interfaces:
    Serializable, Callable<LocalDocumentStore.DocumentOperationResults>, DistributedCallable<String,SchematicEntry,LocalDocumentStore.DocumentOperationResults>, InfinispanUtil.Combiner<LocalDocumentStore.DocumentOperationResults>
  Enclosing class:
    LocalDocumentStore

      protected static class LocalDocumentStore.DistributedOperation
      extends Object
      implements DistributedCallable<String,SchematicEntry,LocalDocumentStore.DocumentOperationResults>, Serializable, InfinispanUtil.Combiner<LocalDocumentStore.DocumentOperationResults>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LocalDocumentStore.DistributedOperation(LocalDocumentStore.DocumentOperation operation)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalDocumentStore.DocumentOperationResults` | `call()`
    `LocalDocumentStore.DocumentOperationResults` | `combine(LocalDocumentStore.DocumentOperationResults priorResult, LocalDocumentStore.DocumentOperationResults newResult)`
    `void` | `setEnvironment(Cache<String,SchematicEntry> cache, Set<String> inputKeys)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalDocumentStore.DistributedOperation

          protected LocalDocumentStore.DistributedOperation(LocalDocumentStore.DocumentOperation operation)

  - ### Method Detail

    - #### setEnvironment

          public void setEnvironment(Cache<String,SchematicEntry> cache,
                            Set<String> inputKeys)

      Specified by:
        `setEnvironment` in interface `DistributedCallable<String,SchematicEntry,LocalDocumentStore.DocumentOperationResults>`

    - #### call

          public LocalDocumentStore.DocumentOperationResults call()
                                                           throws Exception

      Specified by:
        `call` in interface `Callable<LocalDocumentStore.DocumentOperationResults>`
      Throws:
        `Exception`

    - #### combine

          public LocalDocumentStore.DocumentOperationResults combine(LocalDocumentStore.DocumentOperationResults priorResult,
                                                            LocalDocumentStore.DocumentOperationResults newResult)

      Specified by:
        `combine` in interface `InfinispanUtil.Combiner<LocalDocumentStore.DocumentOperationResults>`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.